#include <vector>
#include <algorithm>
#include <cstdio>

using namespace std;

const int INF = 1 << 30;

struct Segment {
	int l, r;

	Segment(int _l, int _r) : l(_l), r(_r) {}

	bool operator <= (const Segment & s) const
	{
		return s.l <= l && r <= s.r;
	}
};

int n;
std::vector <Segment> seg;

const int N = 128 * 1024;

int pans[N], jans[N];
bool pCorrect[N], jCorrect[N];


void solve()
{
	for (int i = 0; i < n; ++i)
	{
		if (pans[i] == jans[i])
		{
			printf("OK\n");
			continue;
		}

		if (pans[i] == -1 || jans[i] == -1 || pans[i] == i)
		{
			printf("WA\n");
			continue;
		}

		if (!(seg[i] <= seg[pans[i]]))
		{
			printf("WA\n");
			continue;
		}

		if (seg[jans[i]] <= seg[pans[i]])
		{
			printf("WA\n");
			continue;
		}

		printf("WA\n");
	}
}

void read()
{
	scanf("%d", &n);

	seg.reserve(n);

	for (int i = 0; i < n; ++i)
	{
		int l, r;
		scanf("%d %d", &l, &r);

		seg.push_back(Segment(l, r));
	}

	for (int i = 0; i < n; ++i)
	{
		scanf("%d", &pans[i]);
		--pans[i];
	}
	for (int i = 0; i < n; ++i)
	{	
		scanf("%d", &jans[i]);
		--jans[i];
	}
}

int main(int argc, char *argv[])
{
	freopen("segcheck.in", "r", stdin);
	freopen("segcheck.out", "w", stdout);

	read();
	solve();

	return 0;
}